Bug 475146 - import vtk fails - selinux issue I guess
import vtk fails - selinux issue I guess
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks: F11Blocker/F11FinalBlocker 482216
  Show dependency treegraph
 
Reported: 2008-12-08 02:18 EST by Rakesh Pandit
Modified: 2009-02-24 11:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 11:54:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-12-08 02:18:43 EST
Description of problem:
importing vtk in python prompt says this:

Python 2.5.2 (r252:60911, Sep 30 2008, 15:41:38) 
[GCC 4.3.2 20080917 (Red Hat 4.3.2-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import vtk
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/vtk/__init__.py", line 51, in <module>
    __helper.refine_import_err('rendering', 'vtkRenderingPython', exc)
  File "/usr/lib/python2.5/site-packages/vtk/__helper.py", line 32, in refine_import_err
    raise LinkError, str(exc)
vtk.__helper.LinkError: /usr/lib/libOSMesa.so.6: cannot restore segment prot after reloc: Permission denied
>>> 


Version-Release number of selected component (if applicable):
5.0.4

How reproducible:
import vtk

Steps to Reproduce:
1. Start python
2. do "import vtk"

  
Actual results:
Shown above

Expected results:
Shown above

Additional info:

audit.log

type=AVC msg=audit(1228675655.325:714): avc:  denied  { execmod } for  pid=20903 comm="python" path="/usr/lib/libOSMesa.so.6.5.3" dev=sda5 ino=3155594 scontext=unconfined_\
u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file
type=SYSCALL msg=audit(1228675655.325:714): arch=40000003 syscall=125 success=no exit=-13 a0=2b0a000 a1=1f6000 a2=5 a3=bfd8f090 items=0 ppid=20892 pid=20903 auid=501 uid=5\
02 gid=502 euid=502 suid=502 fsuid=502 egid=502 sgid=502 fsgid=502 tty=pts1 ses=58 comm="python" exe="/usr/bin/python" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0\
.c1023 key=(null)



In case you want more input, please bug me. Thanks! This one is a blocker for one of my packages which I was packaging. :(
Comment 1 Orion Poplawski 2008-12-08 11:07:01 EST
This seems like an issue with how the mesa library is being built.  eu-findtextrel reports that /usr/lib/libOSMesa.so.6.5.3 is not being built with -fpic/-fPIC.
Comment 2 Rakesh Pandit 2009-01-27 15:02:25 EST
hello ajax,

may you look at this one. Thanks :)
Comment 3 Adam Jackson 2009-02-24 11:54:51 EST
Fixed in 7.3-6.

Note You need to log in before you can comment on or make changes to this bug.